﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Media;
using Microsoft.Xna.Framework.Graphics;

namespace SLXnaGame {

    public partial class MainPage : PhoneApplicationPage {

        ContentManager content;
        SoundEffect sound;
        Song song;

        // 构造函数
        public MainPage() {
            InitializeComponent();
            this.Loaded += new RoutedEventHandler(MainPage_Loaded);
        }

        void MainPage_Loaded(object sender, EventArgs e) {
            content = (Application.Current as App).Content;
            song = content.Load<Song>("Media/MySong");
            MediaPlayer.Play(song);
        }

        // 简单的按钮单击事件处理程序可使我们转至第二页
        private void Button_Click(object sender, RoutedEventArgs e) {
            sound = content.Load<SoundEffect>("Audio/MyAudio");
            sound.Play();
            NavigationService.Navigate(new Uri("/GamePage.xaml", UriKind.Relative));
        }
    }
}